package cz.muni.fi.pa165.socialnetwork.data.repository;

import cz.muni.fi.pa165.socialnetwork.data.model.Person;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface PersonRepository extends JpaRepository<Person, Long> {

    @Query("SELECT p FROM Person p LEFT JOIN FETCH p.contacts c WHERE p.id = :id")
    Optional<Person> findById(@Param("id") Long id);
}
