package cz.muni.fi.pa165.socialnetwork.util;

import cz.muni.fi.pa165.socialnetwork.api.PersonContactDto;
import cz.muni.fi.pa165.socialnetwork.api.PersonDetailedViewDto;
import cz.muni.fi.pa165.socialnetwork.data.enums.ContactType;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class TestDataFactory {

    private PersonDetailedViewDto personDetailedViewDto = getPersonDetailedViewDtoFactory();

    private PersonDetailedViewDto getPersonDetailedViewDtoFactory() {
        PersonDetailedViewDto personDetailedViewDto = new PersonDetailedViewDto();
        personDetailedViewDto.setEmail("pavel.seda@kyndryl.com");
        personDetailedViewDto.setFamilyName("Šeda");
        personDetailedViewDto.setGivenName("Pavel");
        personDetailedViewDto.setId(1L);

        PersonContactDto contact1 = new PersonContactDto();
        contact1.setContact("pavel.seda@kyndryl.com");
        contact1.setContactType(ContactType.EMAIL);

        PersonContactDto contact2 = new PersonContactDto();
        contact2.setContact("seda@fi.muni.cz");
        contact2.setContactType(ContactType.EMAIL);

        PersonContactDto contact3 = new PersonContactDto();
        contact3.setContact("+420 777 777 777");
        contact3.setContactType(ContactType.MOBILE);

        personDetailedViewDto.setContacts(List.of(contact1, contact2, contact3));
        return personDetailedViewDto;
    }
}
